# GpgFrontend Project: src/ui/thread/ProxyConnectionTestTask.h Source File

ProxyConnectionTestTask.h
#ifndef GPGFRONTEND_PROXYCONNECTIONTESTTHREAD_H
#define GPGFRONTEND_PROXYCONNECTIONTESTTHREAD_H
class ProxyConnectionTestThread {};
#include <utility>
#include "GpgFrontendUI.h"
namespace GpgFrontend::UI {
class ProxyConnectionTestTask : public Thread::Task {
Q_OBJECT
public:
explicit ProxyConnectionTestTask(QString url, int timeout);
signals:
void SignalProxyConnectionTestResult(const QString& result);
protected:
void run() override;
private slots:
void slot_process_network_reply(QNetworkReply* reply);
private:
QString url_;
QString result_;
int timeout_ = 500;
QNetworkAccessManager* network_manager_;
};
} // namespace GpgFrontend::UI
#endif // GPGFRONTEND_PROXYCONNECTIONTESTTHREAD_H
GpgFrontend::Thread::Task
Definition: Task.h:45
GpgFrontend::UI::ProxyConnectionTestTask
Definition: ProxyConnectionTestTask.h:42
GpgFrontend::UI::ProxyConnectionTestTask::SignalProxyConnectionTestResult
void SignalProxyConnectionTestResult(const QString &result)
GpgFrontend::UI::ProxyConnectionTestTask::ProxyConnectionTestTask
ProxyConnectionTestTask(QString url, int timeout)
Construct a new Proxy Connection Test Thread object.
Definition: ProxyConnectionTestTask.cpp:29
ProxyConnectionTestThread
Definition: ProxyConnectionTestTask.h:30
GpgFrontend::UI
Definition: FileReadTask.cpp:29